## query-smart-data.ps1 - Queries and saves the S.M.A.R.T. data of your HDD's/SSD's

Queries the S.M.A.R.T. data of your HDD/SSD's and saves it to the current/given directory.
(use smart-data2csv.ps1 to generate a CSV table for analysis).
       Requires smartctl (smartmontools) and admin rights. For automation copy this script to /etc/cron.daily

## Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/query-smart-data.ps1 [[-Directory] <String>] [<CommonParameters>]

-Directory <String>
    Specifies the path to the target directory
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./query-smart-data

```

## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of query-smart-data.ps1*
